require 'fastlane/action'
require_relative '../helper/bw_open_finder_helper'

module Fastlane
  module Actions
    class BwOpenFinderAction < Action
      def self.run(params)
        path = params[:path]
        system("open #{path}")
      end

      def self.description
        "this is tool for mac osx to open finder"
      end

      def self.authors
        ["xubowen"]
      end

      def self.return_value
        # If your method provides a return value, you can describe here what it does
      end

      def self.details
        # Optional:
        "this is tool for mac osx to open finder"
      end

      def self.available_options
        [
          FastlaneCore::ConfigItem.new(
            key: :path,
            description: "使用 open 打开的文件夹路径",
            type: String)
        ]
      end

      def self.is_supported?(platform)
        # Adjust this if your plugin only works for a particular platform (iOS vs. Android, for example)
        # See: https://docs.fastlane.tools/advanced/#control-configuration-by-lane-and-by-platform
        #
        # [:ios, :mac, :android].include?(platform)
        true
      end
    end
  end
end

